Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#6750 closed defect (fixed)

KQ6CD: no speech during Lord Azure and Lady Aeriel scenes

Reported by: SF/hartenziel Owned by: m-kiewitz
Priority: normal Component: Engine: SCI
Keywords: Cc:
Game: King's Quest 6

Description

I've noticed there is no speech during the scenes when Alexander is brought before Lord Azure and Lady Aeriel when the Text+Speech button is set on DUAL.

When set on Speech only you can hear them talking, so the problem only occurs when set on DUAL.

Tested on the following configurations:

  • ScummVM 1.7.0
  • ScummVM 1.8.0git1789-g4e20a93
  • Good Old Games version of the game: KQ6 version 1.000.00G (shown as CD/Windows/English in ScummVM)
  • Windows 7 64-bit

I've attached a save game right before Alexander is brought before Lord Azure.

I did not test if this problem also happens on the DOS version.

Ticket imported from: bugs/6750.

Attachments (2)

kq6-cd-win.016 (45.1 KB) - added by SF/hartenziel 4 years ago.
alternate (2.3 KB) - added by SF/hartenziel 4 years ago.

Download all attachments as: .zip

Change History (7)

Changed 4 years ago by SF/hartenziel

Attachment: kq6-cd-win.016 added

comment:1 Changed 4 years ago by SF/hartenziel

The savegame is the scene after Alexander has defeated the minotaur. The problem also happens when you are brought before Lord Azure the first time after solving the logic cliff puzzles.

comment:2 Changed 4 years ago by m-kiewitz

Owner: set to m-kiewitz

comment:3 Changed 4 years ago by m-kiewitz

Thanks for reporting that issue.

Was fixed in commit e0cb8f52f73ba927d5bf24c9b44f6d28743509df

Dual Mode gets patched into King's Quest 6 by ScummVM and the issue was that some original script code for those scenes called "text mode" code instead of the "audio mode" code, when "dual mode" is active.

comment:4 Changed 4 years ago by m-kiewitz

Resolution: fixed
Status: newclosed

Changed 4 years ago by SF/hartenziel

Attachment: alternate added

comment:5 Changed 4 years ago by SF/hartenziel

Thank you for fixing this.

On Wed, Dec 17, 2014 at 12:20 AM, M. Kiewitz m_kiewitz@users.sf.net wrote:

Thanks for reporting that issue.

Was fixed in commit e0cb8f52f73ba927d5bf24c9b44f6d28743509df

Dual Mode gets patched into King's Quest 6 by ScummVM and the issue was
that some original script code for those scenes called "text mode" code
instead of the "audio mode" code, when "dual mode" is active.


Status: open
Group: SCI: King's Quest VI
Created: Sun Dec 14, 2014 07:51 AM UTC by HeartAndSoul
Last Updated: Tue Dec 16, 2014 10:39 PM UTC
Owner: M. Kiewitz

I've noticed there is no speech during the scenes when Alexander is
brought before Lord Azure and Lady Aeriel when the Text+Speech button is
set on DUAL.

When set on Speech only you can hear them talking, so the problem only
occurs when set on DUAL.

Tested on the following configurations:

  • ScummVM 1.7.0
  • ScummVM 1.8.0git1789-g4e20a93
  • Good Old Games version of the game: KQ6 version 1.000.00G (shown as
    CD/Windows/English in ScummVM)
  • Windows 7 64-bit

I've attached a save game right before Alexander is brought before Lord
Azure.

I did not test if this problem also happens on the DOS version.

Sent from sourceforge.net because you indicated interest in
https://sourceforge.net/p/scummvm/bugs/6750/

To unsubscribe from further messages, please visit
https://sourceforge.net/auth/subscriptions/

Note: See TracTickets for help on using tickets.